View Issue Details

IDProjectCategoryView StatusLast Update
0000080AlmaLinux-8loraxpublic2021-05-21 23:13
Reportertiny Assigned Toalukoshko  
PrioritynormalSeveritycrashReproducibilityalways
Status confirmedResolutionopen 
PlatformX86_64OSAlma LinuxOS Version8.4
Summary0000080: OSbuild Crashes on startup
DescriptionI am not able to start the osbuild composer service on alma linux 8.4 or run any composer-cli command without it immediately crashing. I installed composer using redhat's documentation listed below. The issue does not exist inside of centos stream using the same instructions. both running 2cpu 4gb KVM virtual machines inside of proxmox

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/composing_a_customized_rhel_system_image/installing-composer_composing-a-customized-rhel-system-image
Steps To Reproduce1. install almalinux 8.4
2. run sudo dnf install osbuild-composer composer-cli cockpit-composer bash-completion
3. sudo systemctl enable --now osbuild-composer.socket
4. run composer-cli blueprint list or try and start the image builder service in cockpit
TagsNo tags attached.
abrt_hash
URL

Activities

tiny

2021-05-21 02:20

reporter   ~0000206

Here is the stack trace I am gettng from sudo composer-cli blueprint list
composer-bug.txt (6,272 bytes)   
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib64/python3.6/http/client.py", line 1361, in getresponse
    response.begin()
  File "/usr/lib64/python3.6/http/client.py", line 311, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python3.6/http/client.py", line 272, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib64/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/composer-cli", line 93, in <module>
    sys.exit(main(opts))
  File "/usr/lib/python3.6/site-packages/composer/cli/__init__.py", line 68, in main
    result = client.get_url_json(opts.socket, "/api/status")
  File "/usr/lib/python3.6/site-packages/composer/http_client.py", line 93, in get_url_json
    r = http.request("GET", url)
  File "/usr/lib/python3.6/site-packages/urllib3/request.py", line 68, in request
    **urlopen_kw)
  File "/usr/lib/python3.6/site-packages/urllib3/request.py", line 89, in request_encode_url
    return self.urlopen(method, url, **extra_kw)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 344, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3.6/site-packages/urllib3/packages/six.py", line 692, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib64/python3.6/http/client.py", line 1361, in getresponse
    response.begin()
  File "/usr/lib64/python3.6/http/client.py", line 311, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python3.6/http/client.py", line 272, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib64/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
[[email protected] ~]$ sudo composer-cli blueprints list > composer-error.txt
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib64/python3.6/http/client.py", line 1269, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1315, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1264, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1040, in _send_output
    self.send(msg)
  File "/usr/lib64/python3.6/http/client.py", line 978, in send
    self.connect()
  File "/usr/lib/python3.6/site-packages/composer/unix_socket.py", line 46, in connect
    sock.connect(self.socket_path)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/composer-cli", line 93, in <module>
    sys.exit(main(opts))
  File "/usr/lib/python3.6/site-packages/composer/cli/__init__.py", line 68, in main
    result = client.get_url_json(opts.socket, "/api/status")
  File "/usr/lib/python3.6/site-packages/composer/http_client.py", line 93, in get_url_json
    r = http.request("GET", url)
  File "/usr/lib/python3.6/site-packages/urllib3/request.py", line 68, in request
    **urlopen_kw)
  File "/usr/lib/python3.6/site-packages/urllib3/request.py", line 89, in request_encode_url
    return self.urlopen(method, url, **extra_kw)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 344, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3.6/site-packages/urllib3/packages/six.py", line 692, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib64/python3.6/http/client.py", line 1269, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1315, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1264, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib64/python3.6/http/client.py", line 1040, in _send_output
    self.send(msg)
  File "/usr/lib64/python3.6/http/client.py", line 978, in send
    self.connect()
  File "/usr/lib/python3.6/site-packages/composer/unix_socket.py", line 46, in connect
    sock.connect(self.socket_path)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionRefusedError(111, 'Connection refused'))
composer-bug.txt (6,272 bytes)   

alukoshko

2021-05-21 18:09

developer   ~0000207

Hello and thanks.
Yes I can confirm it.
At the moment osbuild-composer code is only supports RHEL and CentOS and patch to add another distributions would not be trivial.
osbuild-composer developers know about this problem and going to implement support for RHEL based distros later.

tiny

2021-05-21 23:13

reporter   ~0000208

Linked below is the os-build issue from their GitHub
https://github.com/osbuild/osbuild/issues/644

Issue History

Date Modified Username Field Change
2021-05-20 13:45 tiny New Issue
2021-05-21 02:20 tiny Note Added: 0000206
2021-05-21 02:20 tiny File Added: composer-bug.txt
2021-05-21 17:29 alukoshko Assigned To => alukoshko
2021-05-21 17:29 alukoshko Status new => assigned
2021-05-21 18:09 alukoshko Status assigned => confirmed
2021-05-21 18:09 alukoshko Note Added: 0000207
2021-05-21 23:13 tiny Note Added: 0000208